Bug 18809 - Forms with block level generated content and absolutely positioned labels break inline layout (fixed on reflow)
Summary: Forms with block level generated content and absolutely positioned labels bre...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 525.x (Safari 3.1)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: HasReduction
Depends on:
Blocks:
 
Reported: 2008-04-30 02:29 PDT by Robin Whittleton
Modified: 2008-05-05 09:35 PDT (History)
1 user (show)

See Also:


Attachments
Testcase demonstrating this bug (1007 bytes, text/html)
2008-04-30 02:30 PDT, Robin Whittleton
no flags Details
Further reduction (212 bytes, text/html)
2008-05-02 10:52 PDT, mitz
no flags Details
Further further reduction (113 bytes, text/html)
2008-05-02 11:59 PDT, mitz
no flags Details
Do not let out-of-flow objects break inline flows into two separate anonymous blocks (53.77 KB, patch)
2008-05-02 16:28 PDT, mitz
no flags Details | Formatted Diff | Diff
Do not let out-of-flow objects break inline flows into two separate anonymous blocks (53.56 KB, patch)
2008-05-03 00:32 PDT, mitz
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Whittleton 2008-04-30 02:29:52 PDT
Given:

a) A form with generated content
b) Inline children
c) Absolutely positioned labels

The expected rendering doesn't happen until the page has reflowed at least once. Please see the attached testcase, where Firefox (tested with 2.0.0.14) and Opera (tested with 9.26) both do what I suspect, but Safari 3.1 fails by putting the selects on seperate lines until you've made the labels static and then absolute again. The button demonstrates this.
Comment 1 Robin Whittleton 2008-04-30 02:30:44 PDT
Created attachment 20900 [details]
Testcase demonstrating this bug
Comment 2 Robin Whittleton 2008-04-30 08:31:22 PDT
Oops, forgot to mention that the generated content must be display block to trigger this bug. Updated the subject.
Comment 3 mitz 2008-05-02 10:52:13 PDT
Created attachment 20927 [details]
Further reduction
Comment 4 mitz 2008-05-02 11:59:16 PDT
Created attachment 20928 [details]
Further further reduction
Comment 5 mitz 2008-05-02 16:28:27 PDT
Created attachment 20935 [details]
Do not let out-of-flow objects break inline flows into two separate anonymous blocks
Comment 6 mitz 2008-05-03 00:32:00 PDT
Created attachment 20944 [details]
Do not let out-of-flow objects break inline flows into two separate anonymous blocks
Comment 7 Dave Hyatt 2008-05-05 08:41:40 PDT
Comment on attachment 20944 [details]
Do not let out-of-flow objects break inline flows into two separate anonymous blocks

r=me
Comment 8 mitz 2008-05-05 09:35:25 PDT
Fixed in <http://trac.webkit.org/changeset/32872>.